

clear all 

run_num(1,:)= 'pops_150at1450_20k_g001_s5e3 '; Dt(1)= 10; % T = 2000 
run_num(2,:)= 'pops_300at2900_40k_g001_s25e3'; Dt(2)= 10; % T = 2000 

%-------
fl = 1; 

eval(['load ' deblank(run_num(fl,:)) '.dat']); 
eval([' pop = ' deblank(run_num(fl,:)) ';']);
pop = pop';

[Nsys ns] = size(pop); 
Dt = Dt(fl); 
t = linspace(0,ns*Dt,ns); 

%thermal state 
beta = 0.4;
Evals = [0.5 1.5  2.2  4.0]; 
Therm_pops = exp(-beta*Evals); 
Therm_pops = Therm_pops/sum(Therm_pops); 

figure(fl);
    plot(t,pop(1,:),'-','linewidth',[1.7],'color',[0 0 0.8]); hold on 
    plot(t,pop(2,:),'-','linewidth',[1.7],'color',[0 0.8 0]); hold on 
    plot(t,pop(3,:),'-','linewidth',[1.7],'color',[0 0.5 0.8]); hold on 
    plot(t,pop(4,:),'-','linewidth',[1.7],'color',[0.8 0.2 0.2]); hold on 
    plot([0 ns*Dt],[1 1]*Therm_pops(1),'m','linewidth',[1]); 
    plot([0 ns*Dt],[1 1]*Therm_pops(2),'m','linewidth',[1]); 
    plot([0 ns*Dt],[1 1]*Therm_pops(3),'m','linewidth',[1]); 
    plot([0 ns*Dt],[1 1]*Therm_pops(4),'m','linewidth',[1]);  
    apos = get(gca,'position'); 
    set(gca,'linewidth',2); 
    set(gca,'fontsize',[20]); 
    axis([0,max(t),0,1]); 
